Subject: Re: bug#50441: Wrong build directory number shown in environment-variables file

From: Christine Lemmer-Webber <[email-masked]>
Date: Tue, 07 Sep 2021 10:26:48 -0400

Hi Tobias!

Tobias Geerinckx-Rice <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> Christine,
>
> Christine Lemmer-Webber 写道：
>> I was doing guix build with "--keep-missing" and looking around in a
>> few
>> of the output directories.  I was peeking in:
>>
>>   /tmp/guix-build-u-boot-mnt-reform2-2021.06.drv-4
>>
>> But wait... the "environment-variables" file says:
>>
>> #+BEGIN_SRC sh
>> export TEMP=\
>> "/tmp/guix-build-u-boot-mnt-reform2-2021.06.drv-0"
>
> Part of the build environment isolation/reproducibility is that
> processes inside it always see a build directory ending in ‘-0’, 
> regardless of the file name on the host system.
>
> Kind regards,
>
> T G-R
>
> [[End of PGP Signed Part]]

This makes sense in general, though I wonder if when using --keep-failed
if environment-variables should dump out something different, since
that file is around for debugging, and sourcing it might set up the
wrong paths I guess?  What do you think?